---
title: List incident type org settings
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Incidents
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# List incident type org settings{% #list-incident-type-org-settings %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                 |
| ----------------- | ---------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/incidents/config/types/org-settings |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/incidents/config/types/org-settings |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/incidents/config/types/org-settings      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/incidents/config/types/org-settings      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/incidents/config/types/org-settings  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/incidents/config/types/org-settings |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/incidents/config/types/org-settings     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/incidents/config/types/org-settings |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/incidents/config/types/org-settings |

### Overview

List org settings for all incident types. This endpoint requires any of the following permissions:
`incident_settings_read``incident_read` 


OAuth apps require the `incident_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#incidents) to access this endpoint.



### Arguments

#### Query Strings

| Name            | Type    | Description                                                           |
| --------------- | ------- | --------------------------------------------------------------------- |
| page[size]      | integer | Maximum number of results to return.                                  |
| page[offset]    | integer | The offset for pagination.                                            |
| include-deleted | boolean | Whether to include deleted records.                                   |
| include         | string  | Comma-separated list of related resources to include in the response. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response with a list of incident org settings resources.

| Parent field  | Field                        | Type      | Description                                                                       |
| ------------- | ---------------------------- | --------- | --------------------------------------------------------------------------------- |
|               | data [*required*]       | [object]  | List of incident org settings resources.                                          |
| data          | attributes [*required*] | object    | Attributes of an incident org settings resource in a response.                    |
| attributes    | created [*required*]    | date-time | Timestamp when the settings were created.                                         |
| attributes    | modified [*required*]   | date-time | Timestamp when the settings were last modified.                                   |
| attributes    | settings [*required*]   | object    | The settings configuration for an incident org settings resource.                 |
| data          | id [*required*]         | uuid      | The org settings identifier.                                                      |
| data          | relationships                | object    | Relationships for an incident org settings resource.                              |
| relationships | incident_type                | object    | Relationship to an incident type.                                                 |
| incident_type | data [*required*]       | object    | Relationship to incident type object.                                             |
| data          | id [*required*]         | string    | The incident type's ID.                                                           |
| data          | type [*required*]       | enum      | Incident type resource type. Allowed enum values: `incident_types`                |
| data          | type [*required*]       | enum      | Incident org settings resource type. Allowed enum values: `incident_org_settings` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "created": "2024-01-01T00:00:00.000Z",
        "modified": "2024-01-01T00:00:00.000Z",
        "settings": {
          "allow_anonymous_incident_declaration": false,
          "allow_guest_incident_declaration": false,
          "pagerduty_paging": true,
          "private_incidents_by_default": false
        }
      },
      "id": "00000000-0000-0000-0000-000000000000",
      "relationships": {
        "incident_type": {
          "data": {
            "id": "00000000-0000-0000-0000-000000000000",
            "type": "incident_types"
          }
        }
      },
      "type": "incident_org_settings"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/incidents/config/types/org-settings" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
